source: xsoft/office/libreoffice.xml@ 93f46ca

10.1 11.0 ken/refactor-virt lazarus qt5new trunk xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 93f46ca was 93f46ca, checked in by Bruce Dubbs <bdubbs@…>, 10 months ago

Update to libreoffice-7.0.4.2.
Update to gtkmm-3.24.3.
Update to gtk+-2.24.33.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@24018 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 34.7 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libreoffice-dl "http://download.documentfoundation.org/libreoffice/src/&libreoffice-version;">
8
9 <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
10 <!ENTITY libreoffice-core-md5sum "cad93ef2c87928b5a2971ae7e6474fe1">
11 <!ENTITY libreoffice-core-size "226 MB">
12
13 <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
14 <!ENTITY libreoffice-dict-md5sum "f55125ef3ec0541df31c87ee2fa00700">
15 <!ENTITY libreoffice-dict-size "44 MB">
16
17 <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
18 <!ENTITY libreoffice-help-md5sum "3862b85f1dd0e7daf2e02484e3839e72">
19 <!ENTITY libreoffice-help-size "106 MB">
20
21 <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
22 <!ENTITY libreoffice-translations-md5sum "05aa6fbbec0cc08005ff6dca32cb4c40">
23 <!ENTITY libreoffice-translations-size "168 MB">
24
25 <!-- full size remeasured for 7.0.0.3 -->
26
27 <!ENTITY libreoffice-buildsize "6.5 GB including the additional files if downloaded during the build (775 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
28
29 <!-- Editors: many updates to poppler will break LO using system poppler until
30 somebody is able to provide a patch or sed. In these cases, please mark
31 the dependency as currently broken and move the \-\-with-system-poppler
32 line to a comment. Also please switch poppler between recommended and
33 optional according to whether or not we use the system version. The
34 installed size will be increased by 2 MB if using the shipped poppler, but
35 the variation in build times will be lost in the noise. - ken -->
36
37 <!-- for 6.1.2.1 I allowed 2 SBU for downloads, my total was
38 64.76 SBU with fast downloads
39 for 6.1.4.2 I and 7.0.0.3 just used the total time - bdubbs
40
41 For 6.4.0.3 downloading everything including dictionaries,
42 help, translations took less than 2 minutes (1.1 SBU) with
43 a good domestic internet connection. Total time was 60 SBU - ken
44
45 60 SBU not including download of translations, help and dictionary
46 for 6.4.6.2 - pierre
47
48 56 SBU for 7.0.3.1 not including download of translations, help, and
49 dictionaries. -renodr
50 -->
51 <!ENTITY libreoffice-time "45 SBU with parallelism=4 including typical download time">
52
53]>
54
55<sect1 id="libreoffice" xreflabel="LibreOffice-&libreoffice-dlversion;">
56 <?dbhtml filename="libreoffice.html"?>
57
58 <sect1info>
59 <othername>$LastChangedBy$</othername>
60 <date>$Date$</date>
61 </sect1info>
62
63 <title>LibreOffice-&libreoffice-version;</title>
64
65 <indexterm zone="libreoffice">
66 <primary sortas="a-LibreOffice">LibreOffice</primary>
67 </indexterm>
68
69 <sect2 role="package">
70 <title>Introduction to LibreOffice</title>
71
72 <para>
73 <application>LibreOffice</application> is a full-featured office suite.
74 It is largely compatible with <application>Microsoft Office</application>
75 and is descended from <application>OpenOffice.org</application>.
76 </para>
77
78 &lfs10_checked;
79
80 <bridgehead renderas="sect3">Package Information</bridgehead>
81 <itemizedlist spacing="compact">
82 <listitem>
83 <para>
84 Core Download: <ulink url="&libreoffice-core-download-http;"/>
85 </para>
86 </listitem>
87 <listitem>
88 <para>
89 Core Download MD5 sum: &libreoffice-core-md5sum;
90 </para>
91 </listitem>
92 <listitem>
93 <para>
94 Core Download size: &libreoffice-core-size;
95 </para>
96 </listitem>
97 <listitem>
98 <para>
99 Estimated disk space required: &libreoffice-buildsize;
100 </para>
101 </listitem>
102 <listitem>
103 <para>
104 Estimated build time: &libreoffice-time;
105 </para>
106 </listitem>
107 </itemizedlist>
108
109 <bridgehead renderas="sect3">Additional Downloads</bridgehead>
110
111 <note>
112 <para>
113 Around 80 smallish tarballs and zip files will be downloaded during the
114 build. If you have not downloaded one or more of the following, they too
115 will also be downloaded during the build.
116 </para>
117 </note>
118
119 <itemizedlist spacing="compact">
120 <listitem>
121 <para>
122 Dictionaries: <ulink url="&libreoffice-dict-download-http;"/>
123 </para>
124 </listitem>
125
126 <listitem>
127 <para>
128 Dictionaries MD5 sum: &libreoffice-dict-md5sum;
129 </para>
130 </listitem>
131
132 <listitem>
133 <para>
134 Dictionaries size: &libreoffice-dict-size;
135 </para>
136 </listitem>
137
138 <listitem>
139 <para>
140 Help Files: <ulink url="&libreoffice-help-download-http;"/>
141 </para>
142 </listitem>
143
144 <listitem>
145 <para>
146 Help Files MD5 sum: &libreoffice-help-md5sum;
147 </para>
148 </listitem>
149
150 <listitem>
151 <para>
152 Help Files size: &libreoffice-help-size;
153 </para>
154 </listitem>
155
156 <listitem>
157 <para>
158 Translations: <ulink url="&libreoffice-translations-download-http;"/>
159 </para>
160 </listitem>
161
162 <listitem>
163 <para>
164 Translations MD5 sum: &libreoffice-translations-md5sum;
165 </para>
166 </listitem>
167
168 <listitem>
169 <para>
170 Translations size: &libreoffice-translations-size;
171 </para>
172 </listitem>
173
174
175<!-- keep one commented patch, it's sure to again need one or more in a few months:
176-->
177<!--
178 <listitem>
179 <para>
180 Required patch to fix building with GCC 10 and later:
181 <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-format_overflow-1.patch"/>
182 </para>
183 </listitem>
184-->
185 </itemizedlist>
186 <bridgehead renderas="sect3">LibreOffice Dependencies</bridgehead>
187
188 <bridgehead renderas="sect4">Required</bridgehead>
189 <para role="required">
190 <xref linkend="perl-archive-zip"/>,
191 <xref linkend="unzip"/>,
192 <xref linkend="wget"/>,
193 <xref linkend="which"/>, and
194 <xref linkend="zip"/>
195 </para>
196
197 <bridgehead renderas="sect4">Recommended</bridgehead>
198 <note>
199 <para>
200 Most of these packages are recommended because if they're not installed,
201 the build process will compile and install its own (often older)
202 version, with the side effect of increasing build and installed disk
203 space and build time.
204 </para>
205 </note>
206
207 <para role="recommended">
208 <xref linkend="apache-ant"/>,
209 <xref linkend="apr"/>,
210 <xref linkend="boost"/>,
211 <xref linkend="clucene"/>,
212 <xref linkend="cups"/>,
213 <xref linkend="curl"/>,
214 <xref linkend="dbus-glib"/>,
215 <xref linkend="libepoxy"/>,
216 <xref linkend="libjpeg"/>,
217 <xref linkend="llvm"/> (clang is preferred for rendering with skia),
218 <xref linkend="glm"/>,
219 <xref linkend="glu"/>,
220 <xref linkend="gpgme"/>,
221 <xref linkend="graphite2"/>,
222 <xref linkend="gst10-plugins-base"/>,
223 <xref linkend="gtk3"/>,
224 <!-- <xref linkend="gtk2"/> -->
225 <xref linkend="harfbuzz"/>,
226 <xref linkend="icu"/>,
227 <xref linkend="libatomic_ops"/>,
228 <xref linkend="lcms2"/>,
229 <xref linkend="librsvg"/>,
230 <xref linkend="libxml2"/> and
231 <xref linkend="libxslt"/>,
232 <xref linkend="lxml"/>,
233 <xref linkend="mesa"/>,
234 <xref linkend="neon"/>,
235 <xref linkend="nss"/>,
236 <xref linkend="openldap"/> (if connecting to an LDAP server),
237 <xref linkend="poppler"/>,
238 <xref linkend="postgresql"/>,
239 <xref linkend="redland"/>,
240 <xref linkend="serf"/>, and
241 <xref linkend="unixodbc"/>
242 </para>
243
244
245 <bridgehead renderas="sect4">Optional</bridgehead>
246 <para role="optional">
247 <xref linkend="avahi"/>,
248 <xref linkend="bluez"/>,
249 <xref linkend="dconf"/>,
250 <xref linkend="desktop-file-utils"/>,
251 <xref linkend="doxygen"/> (not relevant if using --disable-odk),
252 <xref linkend="evolution-data-server"/>,
253 <xref linkend="gdb"/>,
254 <xref linkend="gnutls"/>,
255<!-- not anymore in the book, but included in apache-ant
256 <xref linkend="junit"/>, -->
257 <xref linkend="kf5-frameworks"/>,
258 <xref linkend="libpaper"/>,
259 <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
260 <xref linkend="mitkrb"/>,
261 <xref linkend="nasm"/>,
262 <xref linkend="sane"/>,
263 <xref linkend="telepathy-glib"/>,
264 <xref linkend="valgrind"/>,
265 <xref linkend="vlc"/>,
266 <xref linkend="zenity"/>,
267 <ulink url="https://commons.apache.org/proper/commons-codec/">Apache Commons Codec</ulink>,
268 <ulink url="https://hc.apache.org/httpcomponents-client-ga/index.html">Apache Commons HttpClient</ulink>,
269 <ulink url="https://commons.apache.org/proper/commons-lang/">Apache Commons Lang</ulink>,
270 <ulink url="https://commons.apache.org/proper/commons-logging/">Apache Commons Logging</ulink>,
271 <ulink url="http://www.beanshell.org/">BeanShell</ulink>,
272 <ulink url="https://projects.coin-or.org/CoinMP/">CoinMP</ulink>,
273 <ulink url="http://sourceforge.net/projects/cppunit/">Cppunit</ulink>,
274 <ulink url="http://www.firebirdsql.org/">Firebird</ulink>,
275 <ulink url="https://github.com/behdad/glyphy">glyphy</ulink>,
276 <ulink url="&gnome-download-http;/gnome-vfs/">Gnome VFS</ulink>,
277 <ulink url="https://github.com/hamcrest/JavaHamcrest/releases">hamcrest</ulink>,
278 <ulink url="https://hunspell.github.io/">Hunspell</ulink>,
279 <ulink url="http://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
280 <ulink url="http://include-what-you-use.org/">iwyu</ulink>,
281 <ulink url="https://github.com/junit-team/junit4/releases">junit4</ulink>,
282 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libabw">libabw</ulink>,
283 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr">libcdr</ulink>,
284 <ulink url="http://sourceforge.net/projects/libcmis/">libcmis</ulink>,
285 <ulink url="http://www.sourceforge.net/projects/libebook/">libebook</ulink>,
286 <ulink url="https://wiki.documentfoundation.org/Libexttextcat">libexttextcat</ulink>,
287 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>,
288 <ulink url="http://tagoh.github.io/liblangtag/">liblangtag</ulink>,
289 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libmspub">libmspub</ulink>,
290 <ulink url="http://sourceforge.net/projects/libmwaw/">libmwaw</ulink>,
291 <ulink url="http://sourceforge.net/projects/libwpd/files/libodfgen/">libodfgen</ulink>,
292 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libpagemaker">libpagemaker</ulink>,
293 <ulink url="http://sourceforge.net/projects/libwpd/files/librevenge/">librevenge (WordPerfect Document importer)</ulink>,
294 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,
295 <ulink url="http://libwpd.sourceforge.net/">libwpd</ulink>,
296 <ulink url="http://libwpg.sourceforge.net/">libwpg</ulink>,
297 <ulink url="https://sourceforge.net/p/libwps/wiki/Home/">libwps</ulink>,
298 <ulink url="http://lpsolve.sourceforge.net/">lp_solve</ulink>,
299 <ulink url="https://gitlab.com/mdds/mdds">mdds</ulink>,
300 <ulink url="http://sourceforge.net/projects/hunspell/files/MyThes/">MyThes</ulink>,
301 <ulink url="https://github.com/KhronosGroup/OpenCOLLADA/">OpenCOLLADA</ulink>,
302 <ulink url="https://gitlab.com/orcus/orcus">Orcus</ulink>,
303 <ulink url="https://sourceware.org/systemtap/">SystemTap</ulink>, and
304 <ulink url="https://ukoethe.github.io/vigra/">VIGRA</ulink>
305 </para>
306
307 <para>
308 There are many optional dependencies not listed here. They can be
309 found in <quote>download.lst</quote> (source directory).
310 </para>
311
312 <para condition="html" role="usernotes">
313 User Notes: <ulink url="&blfs-wiki;/libreoffice"/>
314 </para>
315 </sect2>
316
317 <sect2 role="installation">
318 <title>Installation of LibreOffice</title>
319
320 <important>
321 <para>
322 Unlike the other packages, we assume that you have not yet unpacked the
323 package. This is because the <option>--no-overwrite-dir</option>
324 switch is needed in case you unpack as the <systemitem
325 class="username">root</systemitem> user.
326 </para>
327 </important>
328
329<screen role="nodump"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
330cd libreoffice-&libreoffice-dlversion;</userinput></screen>
331
332<!-- keep a commented instruction if no patches are currently required -->
333<!--
334 <para>
335 Fix build failures introduced by GCC 10 and later:
336 </para>
337
338<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-format_overflow-1.patch</userinput></screen>
339-->
340 <para>
341 If you have downloaded the dictionaries, help and translations tarballs,
342 create symlinks to them from the source directory so they won't get
343 downloaded again:
344 </para>
345
346<screen><userinput>install -dm755 external/tarballs &amp;&amp;
347ln -sv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
348ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
349ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
350
351 <note>
352 <para>
353 During the build process, some packages will be downloaded (including
354 the ones listed as recommended and optional dependencies) if they are
355 not present on the system. Because of this, build time may vary from the
356 published time more than usual.
357 </para>
358 </note>
359
360 <para>
361 Due to the large size of the package, you may prefer to install it in
362 <filename class="directory">/opt</filename>, instead of
363 <filename class="directory">/usr</filename>. Depending on your choice,
364 replace <replaceable>&lt;PREFIX&gt;</replaceable> by
365 <filename class="directory">/usr</filename> or by
366 <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>:
367 </para>
368
369<screen><userinput>export LO_PREFIX=<replaceable>&lt;PREFIX&gt;</replaceable></userinput></screen>
370
371 <para>
372 Locales "fr" and "en-GB", you will find below, are just examples; you
373 should change them to suit your needs - you might want to read the
374 "Command Explanations", further below, before proceeding.
375 </para>
376
377 <note>
378 <para>
379 If you set the ACLOCAL environment variable to support insalling
380 Xorg in /opt, you will need to unset it for this procedure.
381 </para>
382 </note>
383
384 <para>
385 Prepare <application>LibreOffice</application> for compilation by running
386 the following commands:
387 </para>
388
389<!-- For the ICU seds, the spacing here is intentional. Sed will return syntax
390 errors otherise -->
391
392<screen><userinput>sed -e "/gzip -f/d" \
393 -e "s|.1.gz|.1|g" \
394 -i bin/distro-install-desktop-integration &amp;&amp;
395
396sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
397
398sed -i 29a\
399'\\t\t&amp;&amp;sed -i "s/TRUE/true/g" src/lib/libcdr_utils.cpp \\' \
400external/libcdr/ExternalProject_libcdr.mk &amp;&amp;
401
402sed -i 30a\
403'\\t\t&amp;&amp;sed -i "s/TRUE/true/g" src/lib/EBOOKCharsetConverter.cpp \\' \
404external/libebook/ExternalProject_libebook.mk &amp;&amp;
405
406./autogen.sh --prefix=$LO_PREFIX \
407 --sysconfdir=/etc \
408 --with-vendor=BLFS \
409 --with-lang='fr en-GB' \
410 --with-help \
411 --with-myspell-dicts \
412 --without-junit \
413 --without-system-dicts \
414 --disable-dconf \
415 --disable-odk \
416 --enable-release-build=yes \
417 --enable-python=system \
418 --with-jdk-home=/opt/jdk \
419 --with-system-apr \
420 --with-system-boost \
421 --with-system-clucene \
422 --with-system-curl \
423 --with-system-epoxy \
424 --with-system-expat \
425 --with-system-glm \
426 --with-system-gpgmepp \
427 --with-system-graphite \
428 --with-system-harfbuzz \
429 --with-system-icu \
430 --with-system-jpeg \
431 --with-system-lcms2 \
432 --with-system-libatomic_ops \
433 --with-system-libpng \
434 --with-system-libxml \
435 --with-system-neon \
436 --with-system-nss \
437 --with-system-odbc \
438 --with-system-openldap \
439 --with-system-openssl \
440 --with-system-poppler \
441 --with-system-postgresql \
442 --with-system-redland \
443 --with-system-serf \
444 --with-system-zlib</userinput></screen>
445
446 <para>
447 The instructions below will only build the package without running
448 any unit tests. If you prefer to run the unit tests, replace
449 <command>make build-nocheck</command> with <command>make build</command>
450 or (as a regular user only) just <command>make</command>, but do not be
451 surprised if a unit test fails right at the end of the build and
452 breaks it.
453 </para>
454
455 <para>
456 Build the package:
457 </para>
458
459<screen><userinput>make build-nocheck</userinput></screen>
460
461 <para>
462 Now, as the <systemitem class="username">root</systemitem> user:
463 </para>
464
465<screen role="root"><userinput>make distro-pack-install</userinput></screen>
466
467 <para>
468 If installed in <filename
469 class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>
470 some additional steps are necessary. Issue the following commands as the
471 <systemitem class="username">root</systemitem> user:
472 </para>
473
474<screen role="root"><userinput>if [ "$LO_PREFIX" != "/usr" ]; then
475
476 # This symlink is necessary for the desktop menu entries
477 ln -svf $LO_PREFIX/lib/libreoffice/program/soffice /usr/bin/libreoffice &amp;&amp;
478
479 # Set up a generic location independent of version number
480 ln -sfv libreoffice-&libreoffice-dlversion; /opt/libreoffice
481
482 # Icons
483 mkdir -vp /usr/share/pixmaps
484 for i in $LO_PREFIX/share/icons/hicolor/32x32/apps/*; do
485 ln -svf $i /usr/share/pixmaps
486 done &amp;&amp;
487
488 # Desktop menu entries
489 for i in $LO_PREFIX/lib/libreoffice/share/xdg/*; do
490 ln -svf $i /usr/share/applications/libreoffice-$(basename $i)
491 done &amp;&amp;
492
493 # Man pages
494 for i in $LO_PREFIX/share/man/man1/*; do
495 ln -svf $i /usr/share/man/man1/
496 done
497
498 unset i
499fi</userinput></screen>
500
501 <para>
502 If you have installed <xref linkend="desktop-file-utils"/>, and you wish
503 to update the MIME database, issue, as the <systemitem class="username">
504 root</systemitem> user:
505 </para>
506
507<screen role="root"><userinput>update-desktop-database</userinput></screen>
508
509 <para>
510 The suite and main modules can be started from the menu. From a terminal,
511 the suite can be started with <command>libreoffice</command> command and
512 the modules with <command>libreoffice
513 --<replaceable>&lt;module&gt;</replaceable></command> command,
514 respectively, where <replaceable>&lt;module&gt;</replaceable> is one of
515 base, calc, draw, impress, math, web, or writer. Modules cannot be started
516 using their shell starting script names (see "Installed Programs", below),
517 if LO_PREFIX is other than <filename class='directory'>/usr</filename>,
518 unless the <filename class='directory'>$LO_PREFIX/bin</filename> directory
519 is appended to the PATH.
520 </para>
521
522 </sect2>
523
524 <sect2 role="commands">
525 <title>Command Explanations</title>
526
527 <para>
528 <command>sed -e ...</command>: The first sed prevents compression of the
529 manual pages, the second one prevents the install from failing, and the
530 third one allows the build to use poppler-0.86.1 and later.
531 <!-- FIXME update hardcoded poppler version in text when necessary -->
532 </para>
533
534 <para>
535 <command>sed -i "s/TRUE/true/" ...</command>: These three sed commands
536 fix breakage caused by <application>ICU-68.1</application> removing a
537 macro. The third sed is for a file within libreoffice, the first two
538 are for packages downloaded during the build and amend '.mk' files for
539 the external projects (the source tarballs are unpacked during the build).
540 </para>
541
542 <para>
543 <parameter>--with-vendor=BLFS</parameter>: This switch sets BLFS as
544 the vendor which is mentioned when you click "About" from the Help menu
545 on the toolbar.
546 </para>
547
548 <para>
549 <parameter>--with-lang='fr en-GB'</parameter>: This switch sets
550 what languages to support. To list several languages, separate them with
551 a space. For all languages, use
552 <parameter>--with-lang=ALL</parameter>. Note that the translations file
553 is not needed and won't be downloaded if using only en_US as a language.
554 </para>
555
556 <note>
557 <para>
558 For a list of the available languages, look in
559 <filename>solenv/inc/langlist.mk</filename>.
560 </para>
561 </note>
562
563 <para>
564 <parameter>--with-help</parameter>: Without this switch, the help files
565 are not built.
566 </para>
567
568 <para>
569 <parameter>--with-jdk-home=/opt/jdk</parameter>: This parameter will silence
570 a warning that the configure script attempted to find JAVA_HOME
571 automatically (even though that is passed in the environment). Omit this if
572 you disabled java.
573 </para>
574
575 <para>
576 <parameter>--with-myspell-dicts</parameter>: This switch adds myspell
577 dictionaries to the <application>LibreOffice</application> installation
578 set.
579 </para>
580 <!-- Unrecognized as of 6.2.0.3
581 <para>
582 <parameter>- -with-alloc=system</parameter>: This switch tells
583 <application>LibreOffice</application> to use the system allocator
584 instead of its internal one.
585 </para>
586 -->
587 <para>
588 <parameter>--with-system-boost</parameter>: This switch enables using
589 system boost. From time to time, recent versions of boost break
590 the build of libreoffice. In this case, it is possible to use the
591 bundled copy of boost, by removing this flag.
592 </para>
593
594 <para>
595 <parameter>--disable-dconf</parameter>: This switch disables compiling
596 <application>LibreOffice</application> with the
597 <application>GNOME DConf</application> configuration system support.
598 </para>
599
600 <para>
601 <parameter>--without-junit</parameter>: This switch disables the tests
602 for the deprecated HSQLDB driver which is written in Java.
603 <!-- If you wish
604 to build this driver replace this switch with the set of switches
605 described below after '- -without-java'.-->
606 </para>
607
608 <para>
609 <parameter>--without-system-dicts</parameter>: This switch disables the
610 use of dictionaries from system paths so that the ones installed by this
611 package are used.
612 </para>
613
614 <para>
615 <parameter>--disable-odk</parameter>: This switch disables installing the
616 office development kit. Remove if you want to develop a
617 <application>LibreOffice</application> based application.
618 </para>
619
620 <para>
621 <parameter>--enable-release-build=yes</parameter>: This switch enables a
622 Release Build. <application>LibreOffice</application> can be built as a
623 Release Build or as a Developer Build, because their default installation
624 paths and user profile paths are different. Developer Build displays the
625 words "Dev" and "Beta" in several places (e.g, menu and splash screen).
626 </para>
627
628 <para>
629 <parameter>--enable-python=system</parameter>: This switch tells
630 <application>LibreOffice</application> to use the system installed
631 <application>Python 3</application> instead of
632 the bundled one.
633 </para>
634
635 <para>
636 <parameter>--with-system-*</parameter>: These switches prevent
637 <application>LibreOffice</application> from trying to compile its own
638 versions of these dependencies. If you've not installed some of the
639 dependencies, remove the corresponding switches.
640 </para>
641
642<!--
643 <para>
644 <command>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make ...</command>: <xref
645 linkend="icu"/> has removed an implicit namespace <quote>using</quote>
646 from its headers files. Setting <envar>U_USING_ICU_NAMESPACE</envar> to
647 1 allows to restore the former behavior, which is required for building
648 <application>libreoffice</application>.
649 </para>
650-->
651 <para>
652 <command>make distro-pack-install</command>: this does a normal
653 install, but if you add a DESTDIR environment variable it will also
654 install a lot of (text) gid_Module_* files in the DESTDIR, to help
655 distributions which want to break the package into parts.
656 </para>
657
658 <para>
659 <option>--with-parallelism=&lt;count&gt;</option>: This switch
660 tells <application>LibreOffice</application> to use &lt;count&gt; CPU
661 cores to compile in parallel. (Do not include literal angle brackets.)
662 The default is to use all available cores on the system.
663 </para>
664
665 <para>
666 <option>--disable-cups</option>: Use this switch if you don't need
667 printing support.
668 </para>
669
670 <para>
671 <option>--disable-dbus</option>: Use this switch if you've not installed
672 D-Bus-1.8.0 or later. It also disables Bluetooth support and font install
673 via PackageKit.
674 </para>
675
676 <para>
677 <option>--disable-firebird-sdbc</option>: By default, the ability to
678 connect to a <application>firebird</application> database is enabled.
679 Add this switch if you do not need that feature.
680 </para>
681
682 <para>
683 <option>--disable-gstreamer-1-0</option>: Use this switch if you have not
684 installed <xref linkend="gst10-plugins-base"/>.
685 </para>
686
687<!-- only gtk3 is referenced in the configure script for 6.4.0.3
688 <para>
689 <option>\-\-disable-gtk3</option>: Use this switch if you have not installed
690 <application>GTK+-3</application>, or if you have installed it but wish
691 to use <application>GTK+-2</application> (the menu icons differ).
692 <!\-\- Note that a <application>GTK+-3</application> build still
693 requires <application>GTK+-2</application> to build the gtk-plugin.\-\->
694 </para>-->
695
696 <para>
697 <option>--disable-postgresql-sdbc</option>: This switch disables compiling
698 <application>LibreOffice</application> with the ability to connect to a
699 <application>PostgreSQL</application> database. Use it if you have not
700 installed <application>PostgreSQL</application> and you do not want
701 <application>LibreOffice</application> to compile its bundled copy.
702 </para>
703
704 <para>
705 <option>--disable-skia</option>: Use <xref linkend="cairo"/> for rendering
706 instead of skia.
707 </para>
708
709 <para>
710 <option>--enable-gtk3-kde5</option>: This switch allows the Visual Class
711 Library, which is responsible for widgets, to be built with KF5 file
712 dialogs if GTK+-3, Qt5 and Plasma are all available.
713 </para>
714
715 <para>
716 <option>--enable-lto</option>: This switch will enable Link Time
717 Optimization, which results in slightly smaller libraries (about 40 MB).
718 This is said to make <application>LibreOffice</application> programs
719 load faster (and possibly run faster, e.g. when recalculating a
720 spreadsheet). On an 8-core machine with 16GB of memory, the difference
721 in compile times was minimal, but an extra 2GB was used for the work
722 files. On machines with fewer processors or a lack of memory, the compile
723 might be much slower.
724 </para>
725
726 <para>
727 <option>--without-java</option>: This switch disables
728 <application>Java</application> support in
729 <application>LibreOffice</application>. Java is needed for the
730 deprecated HSQLDB driver, which allows reading databases created by
731 other programs or in earlier versions of libreoffice
732 <application>base</application>.
733 </para>
734 <!-- junit is not included anymore in ant, and neither hamcrest. Since
735 the hsqldb backend is deprecated anyway, forget this:
736 <para>
737 <option>- -with-junit=/opt/ant/lib/junit-4.12.jar</option> and
738 <option>- -with-hamcrest=/opt/ant/lib/hamcrest-core-1.3.jar</option>:
739 Those options are needed if you want to run the tests.
740 </para>
741 -->
742 <para>
743 <option>--without-fonts</option>: <application>LibreOffice</application>
744 includes a number of third-party TrueType fonts. If you have already
745 installed some or all of the same fonts, you may prefer to use the system
746 versions.
747 </para>
748
749 <para>
750 <!-- Brings in - -enable-qt5 as well. -->
751 <option>--enable-kf5</option>: Builds with KDE/Plasma integration. If
752 <xref linkend="qt5"/> and/or <xref linkend="kf5-frameworks"/> are not
753 installed in <filename class="directory">/usr</filename>, the include
754 and library directories must be specified in <envar>QT5INC</envar>,
755 <envar>QT5LIB</envar>, <envar>KF5INC</envar>, and <envar>KF5LIB</envar>,
756 respectively.
757 </para>
758
759 <para>
760 <option>--enable-evolution2</option>: Enables support for Evolution
761 address books through Evolution Data Server. Note that Evolution Data
762 Server must be installed for this feature to function.
763 </para>
764
765 <!--
766 <para>
767 Currently broken by ICU68 (TRUE and FALSE need to be true and false) on
768 libe-book and perhaps elsewhere - commented explanation retained. ken
769 <option>- -with-system-icu</option>: This command would use the system
770 version of <xref linkend="icu"/> which is normally considered to be a good
771 thing to do. However, one of the very minor packages pulled in by
772 <application>LibreOffice</application>, libfreehand-0.1.2, does not compile
773 with ICU-65.1 because of a missing semi-colon at the end of one line in one
774 of its files. Do not use this option unless you have separately installed a
775 patched or newer version of
776 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>.
777 </para>
778 -->
779
780 </sect2>
781
782 <sect2 role="content">
783 <title>Contents</title>
784
785 <segmentedlist>
786 <segtitle>Installed Programs</segtitle>
787 <segtitle>Installed Libraries</segtitle>
788 <segtitle>Installed Directory</segtitle>
789
790 <seglistitem>
791 <seg>
792 libreoffice, lobase, localc, lodraw, loffice, lofromtemplate,
793 loimpress, lomath, loweb, lowriter, soffice and unopkg;
794 several programs under
795 $LO_PREFIX/lib/libreoffice/program
796 </seg>
797 <seg>
798 several libraries under
799 $LO_PREFIX/lib/libreoffice/program
800 </seg>
801 <seg>
802 $LO_PREFIX/lib/libreoffice
803 </seg>
804 </seglistitem>
805 </segmentedlist>
806
807 <variablelist>
808 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
809 <?dbfo list-presentation="list"?>
810 <?dbhtml list-presentation="table"?>
811
812 <varlistentry id="libreoffice-suite">
813 <term><command>libreoffice (or soffice)</command></term>
814 <listitem>
815 <para>
816 is the main libreofice suite (symlink to
817 $LO_PREFIX/lib/libreoffice/program/soffice).
818 </para>
819 <indexterm zone="libreoffice libreoffice-suite">
820 <primary sortas="b-libreoffice-suite">libreoffice-suite</primary>
821 </indexterm>
822 </listitem>
823 </varlistentry>
824
825 <varlistentry id="lobase">
826 <term><command>lobase</command></term>
827 <listitem>
828 <para>
829 is the database manager module shell starting script.
830 </para>
831 <indexterm zone="libreoffice lobase">
832 <primary sortas="b-lobase">lobase</primary>
833 </indexterm>
834 </listitem>
835 </varlistentry>
836
837 <varlistentry id="localc">
838 <term><command>localc</command></term>
839 <listitem>
840 <para>
841 is the spreadsheet module shell starting script.
842 </para>
843 <indexterm zone="libreoffice localc">
844 <primary sortas="b-localc">localc</primary>
845 </indexterm>
846 </listitem>
847 </varlistentry>
848
849 <varlistentry id="lodraw">
850 <term><command>lodraw</command></term>
851 <listitem>
852 <para>
853 is the vector graphics editor and diagramming tool module shell
854 starting script.
855 </para>
856 <indexterm zone="libreoffice lodraw">
857 <primary sortas="b-lodraw">lodraw</primary>
858 </indexterm>
859 </listitem>
860 </varlistentry>
861
862 <varlistentry id="loimpress">
863 <term><command>loimpress</command></term>
864 <listitem>
865 <para>
866 is the (PowerPoint) presentations editor and displayer
867 module shell starting script.
868 </para>
869 <indexterm zone="libreoffice loimpress">
870 <primary sortas="b-loimpress">loimpress</primary>
871 </indexterm>
872 </listitem>
873 </varlistentry>
874
875 <varlistentry id="lomath">
876 <term><command>lomath</command></term>
877 <listitem>
878 <para>
879 is the mathematical formula editor module shell starting script.
880 </para>
881 <indexterm zone="libreoffice lomath">
882 <primary sortas="b-lomath">lomath</primary>
883 </indexterm>
884 </listitem>
885 </varlistentry>
886
887 <varlistentry id="loweb">
888 <term><command>loweb</command></term>
889 <listitem>
890 <para>
891 is the HTML editor module shell starting script.
892 </para>
893 <indexterm zone="libreoffice loweb">
894 <primary sortas="b-loweb">loweb</primary>
895 </indexterm>
896 </listitem>
897 </varlistentry>
898
899 <varlistentry id="lowriter">
900 <term><command>lowriter</command></term>
901 <listitem>
902 <para>
903 is the word processor module shell starting script.
904 </para>
905 <indexterm zone="libreoffice lowriter">
906 <primary sortas="b-lowriter">lowriter</primary>
907 </indexterm>
908 </listitem>
909 </varlistentry>
910
911 <varlistentry id="unopkg">
912 <term><command>unopkg</command></term>
913 <listitem>
914 <para>
915 is a tool to manage <application>LibreOffice</application>
916 extensions from the command line.
917 </para>
918 <indexterm zone="libreoffice unopkg">
919 <primary sortas="b-unopkg">unopkg</primary>
920 </indexterm>
921 </listitem>
922 </varlistentry>
923
924 </variablelist>
925
926 </sect2>
927
928</sect1>
Note: See TracBrowser for help on using the repository browser.